RUNCON(1)

NAME
runcon - Run command with specified security context under SELinux enabled systems.

SYNOPSIS
runcon [-c|--compute] [-u|--user] [-r|--role] [-t|--type] [-l|--range] [-h|--help] [-V|--version] [ARG]

DESCRIPTION
Run command with specified security context under SELinux enabled systems.

OPTIONS

-c, --compute
    Compute process transition context before modifying.

-u, --user <USER>
    Set user USER in the target security context.

-r, --role <ROLE>
    Set role ROLE in the target security context.

-t, --type <TYPE>
    Set type TYPE in the target security context.

-l, --range <RANGE>
    Set range RANGE in the target security context.

-h, --help
    Print help

-V, --version
    Print version

[ARG]

EXTRA
Run COMMAND with completely-specified CONTEXT, or with current or transitioned security context modified by one or more of LEVEL, ROLE, TYPE, and USER.

If none of --compute, --type, --user, --role or --range is specified, then the first argument is used as the complete context.

Note that only carefully-chosen contexts are likely to successfully run.

If neither CONTEXT nor COMMAND is specified, the current security context is printed.

VERSION
v(uutils coreutils) 0.10.0

EXAMPLES
Print the security context of the current execution context:

runcon

Specify the domain to run a command in:

runcon [-t|--type] domain_t command

Specify the context role to run a command with:

runcon [-r|--role] role_r command

Specify the full context to run a command with:

runcon user_u:role_r:domain_t command

The examples are provided by the tldr-pages project <https://tldr.sh> under the CC BY 4.0 License. Please note that, as uutils is a work in progress, some examples might fail.